package oracle.forms.demos.uploadclient;


/**
 * <P>
 * This component provides a way of running the Progress indicator for the FileUploader to
 * in a separate thread so that it actually gets some timeslice to update. </P>
 *
 * @version 1.0
 * @date 31-05-2001
 * @author Duncan Mills
 */
public class FileUploaderLoadThread extends Thread {

 boolean mNamedFile = false;
 Object  mValue = null;
 FileUploader mUploader = null;


/**
 * Constructor for the thread
 *
 * @param <b>upload</b> the current upload session that we call back into
 * @param <b>value</b> the name of the file to upload or the directory to intitially show in the dialog
 * @param <b>namedFile</b> boolean value to indicate if <i>value</i> is a named file which should be uploaded directly
 */
 public FileUploaderLoadThread(FileUploader uploader, Object value, boolean namedFile)
 {
   mUploader = uploader;
   mValue = value;
   mNamedFile = namedFile;
 }

/**
 * run method for thread - calls back into the FileUpload Object to load the file.
 *
 */
 public void run()
 {
   mUploader.loadFile(mValue,mNamedFile);
   return;
 }

}